package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户作品对象 user_work
 * 
 * @author haotian
 * @date 2024-10-23
 */
public class UserWork extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 作品ID */
    private Long workId;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 作品名称 */
    @Excel(name = "作品名称")
    private String workName;

    /** 作品存放地址 */
    @Excel(name = "作品存放地址")
    private String workAddress;

    /** 坐标 */
    @Excel(name = "坐标")
    private String coordinate;

    /** 发布日期 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date postTime;

    /** 创建日期 */
//    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "发布日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createTime;

    /** 状态 */
    @Excel(name = "状态")
    private String workStatus;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String auditOpinion;

    /** 资源位ID */
    @Excel(name = "资源位ID")
    private Long sourceId;

    /** 标价 */
    @Excel(name = "标价")
    private float price;

    /** 收到火箭数 */
    @Excel(name = "收到火箭数")
    private Long receiveRockets;

    /** 详情 */
    @Excel(name = "详情")
    private String detail;

    /** 删除标志 */
    @Excel(name = "删除标志")
    private String deleteFlag;

    /** 景区 */
    @Excel(name = "景区")
    private String scenic;

    /** 分区 */
    @Excel(name = "分区")
    private String part;

    /** 城市 */
    @Excel(name = "城市")
    private String city;

    // 是否点赞过
    private String isAddLike;

    private Date updateTime;

    public void setWorkId(Long workId) 
    {
        this.workId = workId;
    }

    public Long getWorkId() 
    {
        return workId;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setWorkName(String workName) 
    {
        this.workName = workName;
    }

    public String getWorkName() 
    {
        return workName;
    }
    public void setWorkAddress(String workAddress) 
    {
        this.workAddress = workAddress;
    }

    public String getWorkAddress() 
    {
        return workAddress;
    }
    public void setCoordinate(String coordinate) 
    {
        this.coordinate = coordinate;
    }

    public String getCoordinate() 
    {
        return coordinate;
    }
    public void setPostTime(Date postTime) 
    {
        this.postTime = postTime;
    }

    public Date getPostTime() 
    {
        return postTime;
    }
    public void setWorkStatus(String workStatus) 
    {
        this.workStatus = workStatus;
    }

    public Date getCreateTime(){return createTime;}
    public void setCreateTime(Date createTime){this.createTime=createTime;}

    public String getWorkStatus() 
    {
        return workStatus;
    }
    public void setAuditOpinion(String auditOpinion) 
    {
        this.auditOpinion = auditOpinion;
    }

    public String getAuditOpinion() 
    {
        return auditOpinion;
    }
    public void setSourceId(Long sourceId)
    {
        this.sourceId = sourceId;
    }

    public Long getSourceId()
    {
        return sourceId;
    }
    public void setPrice(float price)
    {
        this.price = price;
    }

    public float getPrice()
    {
        return price;
    }
    public void setReceiveRockets(Long receiveRockets) 
    {
        this.receiveRockets = receiveRockets;
    }

    public Long getReceiveRockets() 
    {
        return receiveRockets;
    }
    public void setDetail(String detail) 
    {
        this.detail = detail;
    }

    public String getDetail() 
    {
        return detail;
    }
    public void setDeleteFlag(String deleteFlag) 
    {
        this.deleteFlag = deleteFlag;
    }

    public String getDeleteFlag() 
    {
        return deleteFlag;
    }
    public void setScenic(String scenic) 
    {
        this.scenic = scenic;
    }

    public String getScenic() 
    {
        return scenic;
    }
    public void setPart(String part) 
    {
        this.part = part;
    }

    public String getPart() 
    {
        return part;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getIsAddLike() {
        return isAddLike;
    }

    public void setIsAddLike(String isAddLike) {
        this.isAddLike = isAddLike;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("workId", getWorkId())
            .append("userId", getUserId())
            .append("workName", getWorkName())
            .append("workAddress", getWorkAddress())
            .append("coordinate", getCoordinate())
            .append("createTime", getCreateTime())
            .append("postTime", getPostTime())
            .append("workStatus", getWorkStatus())
            .append("auditOpinion", getAuditOpinion())
            .append("sourceId", getSourceId())
            .append("price", getPrice())
            .append("receiveRockets", getReceiveRockets())
            .append("detail", getDetail())
            .append("deleteFlag", getDeleteFlag())
            .append("scenic", getScenic())
            .append("part", getPart())
            .append("city", getCity())
            .toString();
    }
}
